<?php
/**
 * Superb Slideshow
 *
 * @package 	Superb Slideshow
 * @subpackage 	mod_superb_slideshow
 * @version   	4.0
 * @author    	Gopi Ramasamy
 * @copyright   Copyright (C) 2010 - 2021 www.gopiplus.com. All rights reserved.
 * @license     GNU General Public License version 2 or later; see LICENSE.txt
 *
 * http://www.gopiplus.com/extensions/2011/06/superb-slideshow-joomla-module/
 */

defined('_JEXEC') or die;

use Joomla\CMS\Helper\ModuleHelper;
use Joomla\Module\SuperbSlideshow\Site\Helper\SuperbSlideshowHelper;

$modbase 	= JURI::base(true).'/modules/mod_superb_slideshow/';
$document 	= JFactory::getDocument();
$sbs_jquery = $params->get("sbs_jquery","yes");	
if($sbs_jquery == "yes")	
{
	$document->addScript ($modbase.'inc/jquery.min.js');
}
$document->addScript ($modbase.'inc/superb-slideshow.js');	

$folder		= SuperbSlideshowHelper::getFolder($params);
$images		= SuperbSlideshowHelper::getImages($params, $folder);

if (!count($images)) 
{
	echo \JText::_('No Images ' . $folder . '<br><br>');
	return;
}

require ModuleHelper::getLayoutPath('mod_superb_slideshow', $params->get('layout', 'default'));